# PetscViewerMathematicaInitializePackage

This function initializes everything in the Petsc interface to Mathematica. It is called from PetscDLLibraryRegister() when using dynamic libraries, and on the call to PetscInitialize() when using static libraries.

### Synopsis

    PetscErrorCode PETSC_DLLEXPORT PetscViewerMathematicaInitializePackage(const char path[])

### Input Parameter

path - The dynamic library path, or PETSC_NULL

### Keywords

Petsc, initialize, package, PLAPACK

### See Also

PetscInitializePackage(), PetscInitialize()

Level:developer
Location: src/sys/viewer/impls/mathematica/mathematica.c
Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages